%define module boto

Summary:	A simple lightweight interface to Amazon Web Services
Name:		python-%{module}
Version:	2.35.2
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
URL:		https://github.com/%{module}/%{module}/
Source:		http://pypi.python.org/packages/source/b/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python) 
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python3) 
BuildRequires:	python3-setuptools

%description
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%package -n python3-%{module}
Summary:	A simple lightweight interface to Amazon Web Services
Group:		Development/Python

%description -n python3-%{module}
Boto is a Python package that provides interfaces to Amazon Web Services.
It supports S3 (Simple Storage Service), SQS (Simple Queue Service) via
the REST API's provided by those services and EC2 (Elastic Compute Cloud)
via the Query API. The goal of boto is to provide a very simple, easy to
use, lightweight wrapper around the Amazon services.

%prep
%setup -q -n %{module}-%{version}
%apply_patches
rm -r %{module}.egg-info
cp -a . %{py3dir}


%build
%{__python} setup.py build  
pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot} 


%files
%{_bindir}/asadmin
%{_bindir}/bundle_image
%{_bindir}/cfadmin
%{_bindir}/cq
%{_bindir}/cwutil
%{_bindir}/dynamodb_dump
%{_bindir}/dynamodb_load
%{_bindir}/elbadmin
%{_bindir}/fetch_file
%{_bindir}/glacier
%{_bindir}/instance_events
%{_bindir}/kill_instance
%{_bindir}/launch_instance
%{_bindir}/list_instances
%{_bindir}/lss3
%{_bindir}/mturk
%{_bindir}/pyami_sendmail
%{_bindir}/route53
%{_bindir}/s3put
%{_bindir}/sdbadmin
%{_bindir}/taskadmin
%{python_sitelib}/%{module}*


%files -n python3-%{module}
%{python3_sitelib}/%{module}*



%changelog
* Mon Jan 26 2015 bcornec <bcornec> 2.35.2-1.mga5
+ Revision: 812378
- Update to upstream 2.35.2

* Wed Oct 15 2014 umeabot <umeabot> 2.32.1-4.mga5
+ Revision: 749842
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.32.1-3.mga5
+ Revision: 728110
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.32.1-2.mga5
+ Revision: 687907
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 2.32.1-1.mga5
+ Revision: 669725
- update to 2.32.1, add Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Sun Mar 30 2014 philippem <philippem> 2.27.0-1.mga5
+ Revision: 610453
- update to 2.27.0

* Tue Mar 04 2014 philippem <philippem> 2.26.1-1.mga5
+ Revision: 599579
- update to 2.26.1

* Sun Dec 08 2013 pterjan <pterjan> 2.19.0-1.mga4
+ Revision: 556002
- Update to 2.19.0

* Tue Oct 22 2013 umeabot <umeabot> 2.13.3-3.mga4
+ Revision: 543060
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.13.3-2.mga4
+ Revision: 498194
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 29 2013 philippem <philippem> 2.13.3-1.mga4
+ Revision: 489101
- Updated to 2.13.3

* Mon Jul 29 2013 philippem <philippem> 2.9.9-1.mga4
+ Revision: 460660
- Update to 2.9.9

* Wed Jul 03 2013 philippem <philippem> 2.9.6-1.mga4
+ Revision: 449979
- Update to 2.9.6

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 378505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 2.6.0-1.mga3
+ Revision: 325387
- update to 2.6.0

* Sun Sep 02 2012 philippem <philippem> 2.5.2-1.mga3
+ Revision: 287234
- New upstream release 2.5.2

* Tue Feb 21 2012 philippem <philippem> 2.2.2-1.mga2
+ Revision: 211539
- Update to 2.2.2.

  + fwang <fwang>
    - update group
    - new version 2.0

* Wed Feb 23 2011 philippem <philippem> 1.9b-0.mga1
+ Revision: 57469
- imported package python-boto


* Wed Feb 23 2011 Philippe Makowski <makowski.mageia@gmail.com> - 1.9b-0.mga1
- Initial spec file for Mageia based on Fedora spec


